Get a checkout session
View as MarkdownRetrieve the current checkout session state, including line items, totals, selected payment instruments, messages, and required agreements.
Full description
Retrieve the current checkout session state, including line items, totals, selected payment instruments, messages, and required agreements.
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token presented through Authorization: Bearer $GODADDY_PAT.
The PAT must include the scope documented for the operation.
In: header
Path Parameters
id*string
The unique identifier of the checkout session.
Header Parameters
Request-Id*string
For tracing the request across network layers and components.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/checkout-sessions/string" \ -H "Request-Id: 6ba7b810-9dad-41d1-80b4-00c04fd430c8"{ "ucp": { "version": "2026-04-08", "capabilities": { "dev.ucp.shopping.checkout": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.input": [ { "version": "2026-04-08" } ], "com.godaddy.shopping.catalog_offer": [ { "version": "2026-04-08" } ] }, "payment_handlers": { "com.godaddy.payments": [ { "id": "com.godaddy.payments", "version": "2026-04-08" } ] } }, "id": "d9cf79e3-b39b-4e58-8f30-ddfe1619e969", "line_items": [ { "id": "li_1", "item": { "id": "hosting-deluxeapi:1mo", "title": "Web Hosting Deluxe — 1 Month", "price": 1099 }, "quantity": 1, "totals": [ { "type": "subtotal", "amount": 1099 }, { "type": "total", "amount": 1099 } ] } ], "status": "ready_for_complete", "currency": "USD", "totals": [ { "type": "subtotal", "amount": 1099 }, { "type": "total", "amount": 1099 } ], "links": [ { "type": "privacy_policy", "url": "https://www.godaddy.com/legal/agreements/privacy-policy" }, { "type": "terms_of_service", "url": "https://www.godaddy.com/legal/agreements/terms-of-service" } ], "payment": { "instruments": [ { "id": "profile_visa", "handler_id": "com.godaddy.payments", "type": "card", "selected": true, "display": { "brand": "visa", "last_digits": "4242" } }, { "id": "profile_mastercard", "handler_id": "com.godaddy.payments", "type": "card", "selected": false, "display": { "brand": "mastercard", "last_digits": "4444" } } ] }}Last updated on
How is this guide?